Debian Bug report logs - #475744
openldap2.3: FTBFS on hurd-i386 because of PATH_MAX

version graph

Package: openldap2.3; Maintainer for openldap2.3 is (unknown);

Reported by: Samuel Thibault <samuel.thibault@ens-lyon.org>

Date: Sat, 12 Apr 2008 16:48:01 UTC

Severity: important

Tags: patch

Found in version 2.4.7-6.1

Fixed in version openldap2.3/2.4.9-1

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#475744; Package openldap2.3. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openldap2.3: FTBFS on hurd-i386 because of PATH_MAX
Date: Sat, 12 Apr 2008 17:45:10 +0100
[Message part 1 (text/plain, inline)]
Package: openldap2.3
Version: 2.4.7-6.1
Severity: important
Tags: patch

Hello,

openldap2.3 currently FTBFS on hurd-i386 because of unconditional use
of the optional PATH_MAX macro.  The attached patch fixes this by using
MAXPATHLEN, defined more portably in include/ac/param.h

Samuel

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24.1
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel
<T> csp.tar.gz:     ascii text
 -+- #ens-mim - vive les browsers qui prennent des initiatives à la con -+-
[patch-openldap (text/plain, attachment)]

Tags added: pending Request was from rra@alioth.debian.org to control@bugs.debian.org. (Mon, 26 May 2008 18:45:03 GMT) Full text and rfc822 format available.

Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 475744-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 475744-close@bugs.debian.org
Subject: Bug#475744: fixed in openldap2.3 2.4.9-1
Date: Mon, 26 May 2008 21:17:08 +0000
Source: openldap2.3
Source-Version: 2.4.9-1

We believe that the bug you reported is fixed in the latest version of
openldap2.3, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.9-1_i386.deb
  to pool/main/o/openldap2.3/ldap-utils_2.4.9-1_i386.deb
libldap-2.4-2-dbg_2.4.9-1_i386.deb
  to pool/main/o/openldap2.3/libldap-2.4-2-dbg_2.4.9-1_i386.deb
libldap-2.4-2_2.4.9-1_i386.deb
  to pool/main/o/openldap2.3/libldap-2.4-2_2.4.9-1_i386.deb
libldap2-dev_2.4.9-1_i386.deb
  to pool/main/o/openldap2.3/libldap2-dev_2.4.9-1_i386.deb
openldap2.3_2.4.9-1.diff.gz
  to pool/main/o/openldap2.3/openldap2.3_2.4.9-1.diff.gz
openldap2.3_2.4.9-1.dsc
  to pool/main/o/openldap2.3/openldap2.3_2.4.9-1.dsc
openldap2.3_2.4.9.orig.tar.gz
  to pool/main/o/openldap2.3/openldap2.3_2.4.9.orig.tar.gz
slapd-dbg_2.4.9-1_i386.deb
  to pool/main/o/openldap2.3/slapd-dbg_2.4.9-1_i386.deb
slapd_2.4.9-1_i386.deb
  to pool/main/o/openldap2.3/slapd_2.4.9-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 475744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated openldap2.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 May 2008 22:34:16 +0200
Source: openldap2.3
Binary: slapd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source i386
Version: 2.4.9-1
Distribution: unstable
Urgency: low
Maintainer: matthijs@cacholong.nl
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
Closes: 414650 457261 464024 464877 465875 466558 471225 471792 471867 474161 474652 474976 475238 475744 475856 477718 479237 480138 480172 480177 480181 480218 480247 481126 481214 483014
Changes: 
 openldap2.3 (2.4.9-1) unstable; urgency=low
 .
   [ Updated debconf translations ]
   * French, thanks to Christian Perrier <bubulle@debian.org>.
     Closes: #471792.
   * Finnish, thanks to Esko Arajärvi <edu@iki.fi>.  Closes: #475238.
   * Czech, thanks to Miroslav Kure <kurem@upcase.info.upol.cz>.
     Closes: #480138.
   * Basque, thanks to Piarres Beobide <pi+debian@beobide.net>.
     Closes: #480177.
   * Vietnamese, thanks to Clytie Siddall <clytie@riverland.net.au>.
     Closes: #480181.
   * Galician, thanks to Jacobo Tarrio <jtarrio@trasno.net>.  Closes: #480218.
   * Japanese, thanks to Kenshi Muto <kmuto@debian.org>.  Closes: #480247.
   * Italian, thanks to Luca Monducci <luca.mo@tiscali.it>. (Closes: #477718)
   * Brazilian Portuguese, thanks to Eder L. Marques <eder@edermarques.net>
     (Closes: #480172)
   * Portuguese, thanks to Tiago Fernandes <tjg.fernandes@gmail.com>
     (Closes: #481126)
   * Russian, thanks to Yuri Kozlov <kozlov.y@gmail.com> (Closes: #481214)
   * Dutch, thanks to "cobaco (aka Bart Cornelis)" <cobaco@skolelinux.no>.
     Closes: #483014.
 .
   [ Matthijs Mohlmann ]
   * New upstream release.
     - Bad entryUUID no longer crashes slapd.  (Closes: #471867)
     - Fix assertion failure in some modify operations.  (Closes: #474161)
     - Mention index in slapd.conf's man page.  (Closes: #414650)
     - Fixes to slapd include handling.  (Closes: #457261)
     - Fix syncrepl cookie truncation.  (Closes: #464024)
     - Fix memory allocation in ldap_parse_page_control.  (Closes: #464877)
     - Fix slapd crash when accessed by multiple threads.  (Closes: #479237)
   * Acknowledge NMU.
     (Closes: #474976, #471225, #475856, #474652, #465875)
   * Bump Standards-Version to 3.7.3
   * Add versioned build dependency on libgnutls-dev (Closes: #466558)
 .
   [ Russ Allbery ]
   * Use MAXPATHLEN rather than PATH_MAX, since OpenLDAP defines the
     former and the latter isn't defined on GNU Hurd.  Thanks, Samuel
     Thibault.  (Closes: #475744)
Checksums-Sha1: 
 c7ea33e93cd797cc983eebe8f41ffa2861d033f3 1828 openldap2.3_2.4.9-1.dsc
 71fee5c280d96efb7e965812500bd11f81eed567 3694611 openldap2.3_2.4.9.orig.tar.gz
 7f450f6ba3f075d1d79e90cc8aa6beab59d9f1b1 147350 openldap2.3_2.4.9-1.diff.gz
 b5ecd137bb3a0224a07c6d00584114b772646ab9 1226112 slapd_2.4.9-1_i386.deb
 5698eded564e9a2944e2f4a413438327bea95753 242400 ldap-utils_2.4.9-1_i386.deb
 dda4e2a31599dfdad3477fba79f1ffdb7c151892 183966 libldap-2.4-2_2.4.9-1_i386.deb
 5022b8ea04fb19fbd4a10e25ecd2cae02478ad0c 280668 libldap-2.4-2-dbg_2.4.9-1_i386.deb
 778621e57cc0618c82417f18adad0a3f1489e38e 768586 libldap2-dev_2.4.9-1_i386.deb
 3000a8ff4dafaa2bfd8720223acb32cd274a7c6a 3543298 slapd-dbg_2.4.9-1_i386.deb
Checksums-Sha256: 
 90f70b5357fa6741a17046e3ee4b727e63d18c057e931345411f60e1d1f252b5 1828 openldap2.3_2.4.9-1.dsc
 06d441c4c81d2e6cd5ef565bd9e89bebf40a4f25dc4592a425a9076e42e533d8 3694611 openldap2.3_2.4.9.orig.tar.gz
 70a6cb2983bb231b35867df076ea1d0116efce6628a5d8697bf7c3ab1bd43466 147350 openldap2.3_2.4.9-1.diff.gz
 88d08a98939287cb61af09eacc83b46f702e18bbfe519e37e6fc100d4a661588 1226112 slapd_2.4.9-1_i386.deb
 091a1fda7669aa2df9e66510fe4b3ef26541b9336662373e021b9b84792c3b7a 242400 ldap-utils_2.4.9-1_i386.deb
 5b644e842165471dee4f36c8ed4b4313d328ff7a851a766ce662037d0b5eb863 183966 libldap-2.4-2_2.4.9-1_i386.deb
 06e25ec042faaec87624f120d8a1283b3a783ca0dba5216efdc907077f53a3fd 280668 libldap-2.4-2-dbg_2.4.9-1_i386.deb
 44f1ecb38dbe3a70b80f8c26713412a57ec6f1c390f99d5e39d19f3ad4dd283e 768586 libldap2-dev_2.4.9-1_i386.deb
 d889317dd4c22639cf3ad8c633782741d61790c584a3217050e96c7eedcd1bc7 3543298 slapd-dbg_2.4.9-1_i386.deb
Files: 
 0ad5a4e1fba16615152d15044b66bfa1 1828 net optional openldap2.3_2.4.9-1.dsc
 3c0b5ae3d45f5675e67aaf81ce7decc9 3694611 net optional openldap2.3_2.4.9.orig.tar.gz
 0ec2c9c7376e6dce90b058d68f1e9761 147350 net optional openldap2.3_2.4.9-1.diff.gz
 cf260840bed1fe98fc1e1c3766ace478 1226112 net optional slapd_2.4.9-1_i386.deb
 b24255f71b5b584084c11fac71327baf 242400 net optional ldap-utils_2.4.9-1_i386.deb
 92340cc78cf63eb764d2e27f057b9596 183966 libs optional libldap-2.4-2_2.4.9-1_i386.deb
 6596e12d4b7ec8f5558aa25c0711bcbb 280668 libdevel extra libldap-2.4-2-dbg_2.4.9-1_i386.deb
 2a04718f661399b77071790d060dc4ca 768586 libdevel extra libldap2-dev_2.4.9-1_i386.deb
 b1fa8469114c739e49ebadad631b194f 3543298 net extra slapd-dbg_2.4.9-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIOyTX2n1ROIkXqbARAoYFAJ98TY8Xr78aWMUPa6zbaiIpSiotgQCfeEtN
/3Aa7QCEQkz/tlKqSEE1XAc=
=vs7O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Jul 2008 07:33:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:07:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.